#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    cin >> t;

    while(t--)
    {
        int n;
        cin >> n;
        map<int, bool> vrednosti;
        int br_vrednosti = 0;

        for(int i = 1; i <= n; i++)
        {
            string s = to_string(i);
            int v = 1;

            for(char c : s) v *= c - '0';

            br_vrednosti += vrednosti[v] == false;
            vrednosti[v] = true;
        }

        cout << br_vrednosti << endl;
    }

    return 0;
}